Page MenuHomePhabricator

Make sure all logos are optimalized
Closed, ResolvedPublic

Description

I realized some logos aren't optimalized. I'm running optipng -o7 at all of them to be sure all of them are optimalized (as optipng do nothing where nothing to optimalize).

Details

Related Gerrit Patches:
operations/mediawiki-config : masterOptimalize all not-optimalized logos

Event Timeline

Urbanecm created this task.Apr 2 2017, 7:29 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptApr 2 2017, 7:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm triaged this task as Lowest priority.EditedApr 2 2017, 7:29 PM

Everything can be done before this.

Change 346057 had a related patch set uploaded (by Urbanecm):
[operations/mediawiki-config@master] Optimalize all not-optimalized logos

https://gerrit.wikimedia.org/r/346057

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Apr 2 2017, 7:33 PM
Urbanecm moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 346057 merged by jenkins-bot:
[operations/mediawiki-config@master] Optimalize all not-optimalized logos

https://gerrit.wikimedia.org/r/346057

hashar added a subscriber: hashar.Apr 3 2017, 1:44 PM

The new files are on Wikimedia server but I have not deployed them yet. There is an ongoing issue with thumbnails so I would rather not mess with that right now. Will deploy the new project-logos once solved.

Mentioned in SAL (#wikimedia-operations) [2017-04-03T19:18:54Z] <hashar@tin> Synchronized static/images/project-logos: Optimize a few project logos - T161999 (duration: 00m 44s)

Mentioned in SAL (#wikimedia-operations) [2017-04-03T19:21:26Z] <hashar> Finished deployment of project-logos optimization for T161999 / https://gerrit.wikimedia.org/r/#/c/346057/ . And purged the related logos

Urbanecm closed this task as Resolved.Apr 4 2017, 4:00 AM
jcrespo added a subscriber: jcrespo.Apr 5 2017, 8:32 AM

Linking to T162242 in case it is related.

It really shouldn't be related to this deploy as a) cywiki's logos wasn't even touched by this change b) correct logos are on the server, see en.wikipedia.org/static/images/project-logos/cywiki.png, en.wikipedia.org/static/images/project-logos/cywiki-1.5x.png and en.wikipedia.org/static/images/project-logos/cywiki-2x.png...